<div class="page-content-wrapper">
    <!-- BEGIN CONTENT BODY -->
    <div class="page-content">
        <!-- BEGIN PAGE BREADCRUMB -->
        <div class="page-bar">
            <ul class="page-breadcrumb">
                <li>
                    <i class="icon-home"></i>
                    <a href="index.html">Home</a>
                    <i class="fa fa-angle-right"></i>
                </li>
                <li>
                    <span>Manage Account</span>
                </li>
            </ul>
            
        </div>
        <!-- END PAGE BREADCRUMB -->
        <!-- BEGIN PAGE BASE CONTENT -->
        <div class="row">
            <div class="col-md-12">
                <div class="portlet light ">
                        <div class="portlet-title">
                            <div class="caption">
                                <i class="icon-edit font-dark"></i>
                                <span class="caption-subject font-dark bold uppercase">Manage Account</span>
                            </div>
                        </div>
                        <div class="portlet-body">
                            <div class="note note-warning">
                                <h4 class="block">Account Deactivation</h4>
                                <p> Deactivating your account is like virtualy deleting your account. It is one step short of deleting your account and thus can recover your account if you change your mind later on. 
                                    It helps you to stay away from interacting with F'n'S as you cannot do new posts, view feeds, comment on other posts, etc. </p>
                                <p class="pb-25 pt-25" style="float:right;">
                                    <a class="btn btn-warning btn-outline sbold" data-toggle="modal" href="#" (click)="lgModal.show()"> De-Activate Account </a>
                                    <button type="button" class="btn default" (click) = "NavToHome()">Cancel</button>
                                </p>
                                <div class="pb-75">&nbsp;</div>
                            </div>
                            <div class="note note-danger">
                                <h4 class="block">Account Deletion</h4>
                                <p> Deleting your account will permanently remove your account and you will be unable to recover the account thereafter. Removing your data takes at least 60 days. 
                                    However, still few data may remain, like your messages in friends inbox, etc.., If you later wish to come back, you may need to register again. </p>

                                <p class="pt-25 pb-25">
                                    Delete button will be enabled after one day of deactivating the account.
                                </p>
                                <p class="pb-25 pt-25" style="float:right;">
                                    <a class="btn btn-danger btn-outline sbold" data-toggle="modal" href="#" (click)="lgdelModal.show()"> Delete Account </a>
                                    <button type="button" class="btn default" (click) = "NavToHome()">Cancel</button>
                                </p>
                                <div class="pb-75">&nbsp;</div>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
        <!-- END PAGE BASE CONTENT -->
    </div>
    <!-- END CONTENT BODY -->
</div>

<div bsModal #lgModal="bs-modal" class="modal fade" tabindex="-1"
    role="dialog" aria-labelledby="dialog-sizes-name1">
 <div class="modal-dialog modal-lg">
   <div class="modal-content">
     <div class="modal-header">
       <h4 id="dialog-sizes-name1" class="modal-title pull-left">De-Activate Account</h4>
       <button type="button" class="close pull-right" (click)="lgModal.hide()" aria-label="Close">
         <span aria-hidden="true">&times;</span>
       </button>
     </div>
     <div class="modal-body">
            Are you sure to deactivate your account?
     </div>
     <div class="modal-footer">
        <button type="button" class="btn dark btn-outline" data-dismiss="modal" (click)="lgModal.hide()">Close</button>
        <button type="button" class="btn green" (click)="DeactivateAccount()">Save changes</button>
    </div>
   </div>
 </div>
</div>

<div bsModal #lgdelModal="bs-modal" class="modal fade" tabindex="-1"
    role="dialog" aria-labelledby="dialog-sizes-name1">
 <div class="modal-dialog modal-lg">
   <div class="modal-content">
     <div class="modal-header">
       <h4 id="dialog-sizes-name1" class="modal-title pull-left">Delete Account</h4>
       <button type="button" class="close pull-right" (click)="lgModal.hide()" aria-label="Close">
         <span aria-hidden="true">&times;</span>
       </button>
     </div>
     <div class="modal-body">
            Are you sure to delete your account?
     </div>
     <div class="modal-footer">
        <button type="button" class="btn dark btn-outline" data-dismiss="modal" (click)="lgdelModal.hide()">Close</button>
        <button type="button" class="btn green" (click)="DeleteAccount()">Save changes</button>
    </div>
   </div>
 </div>
</div>


